SORT-DCTRL(1)

BEZEICHNUNG
sort-dctrl - sortiert Debian-Steuerdateien

ÜBERSICHT
sort-dctrl [Optionen] [ Datei … ]

sort-dctrl --copying | --help | --version | -ChV

BESCHREIBUNG
Das Programm sort-dctrl sortiert Debian-Steuerdateien gemäß den angegebenen Kriterien.

Eine Debian-Steuerdatei (dctrl) ist eine halbwags strukturierte Datenbank aus einer Tabelle, die in einer maschinenauswertbaren Textdatei gespeichert wird. Einer derartige Datenbank besteht aus einer Zusammenstellung von Datensätzen; jeder Datensatz ist eine Abbildung von Feldnamen auf Feldinhalt. Textlich werden Datensätze durch leere Zeilen getrennt, während jedes Feld als eine oder mehrere nicht leere Zeilen innerhalb eines Datensatzes kodiert ist. Ein Feld beginnt mit seinem Namen, gefolgt von einem Doppelpunkt, gefolgt vom Feldinhalt. Der Doppelpunkt muss in der ersten Zeile des Feldes liegen und die erste Zeile darf nicht mit einem Leerraum beginnen. In Gegensatz dazu beginnen nachfolgende Zeilen immer mit einem Leerraum (einem oder mehrere Leerzeichen oder Tabulatoren).

Das Programm sort-dctrl kennt zwei Feldtypen: Zeichenkettenfelder und Versionsfelder. Versionsfelder dienen außerdem als numerische Felder. Zeichenkettenfelder werden gemäß streng lexikografischem Vergleich Oktett für Oktett verglichen. Nach dem Doppelpunkt werden alle Leerzeichen am Anfang ignoriert. Versionsfelder werden als Debian-Versionsnummern ausgewertet und verglichen. Wenn Versionsnummern verglichen werden und ein Feldinhalt tatsächlich nicht zur Versionsnummersyntax passt, werden sie als weniger als irgendwelche passenden Felder betrachtet und gleich irgendwelchem anderen nicht passenden Feldinhalt. Das Programm The sort-dctrl geht, wenn nichts anderes gesagt wurde, davon aus, dass alle Felder Zeichenkettenfelder sind.

Sie können mit der Option -k eine beliebige Anzahl Schlüssel zur Sortierung angeben. Die Schlüssel werden mit einem abnehmenden Grad der Priorität interpretiert: Der erste angegebene Schlüssel ist primär, der zweite sekundär und so weiter. Falls zwei Datensätze unter ihrem Primärschlüssel gleich sind, werden sie unter ihrem Sekundärschlüssel verglichen und so weiter. Falls keine Schlüssel angegeben wurden, wird von einem Vorgabeschlüssel ausgegangen (dem Feld »Package« ohne Bestimmungswörter).

OPTIONEN

-k Schlüsselangabe, --key-spec=Schlüsselangabe
    gibt einen oder mehrere Schlüssel für die Sortierung an. Sie können diese Option beliebig oft angeben. Das Argument Schlüsselangabe besteht aus einer durch Komma getrennten Liste von Schlüsselangaben. Jede Schlüsselangabe besteht aus dem Namen des Feldes, das als Schlüssel dient, wahlweise gefolgt von einem Doppelpunkt und Schlüsselbestimmungswörtern. Die folgenden Schlüsselbestimmungswörter werden unterstützt:

    r   stellt den Vergleich für diesen Schlüssel auf den Kopf und kehrt die Sortierreihenfolge um.

    v   betrachtet dieses Feld als Versionsnummerfeld.

    n   betrachtet dieses Feld als numerisch, was derzeit gleichbedeutend mit v ist.

-q, --quiet, --silent
    gibt nichts auf dem Standardausgabe-Datenstrom aus; wird stattdessen sofort nach den ersten Treffer beendet

-l Stufe, --errorlevel=Stufe
    setzt die Protokollierungsstufe auf Stufe. Stufe ist entweder fatal, important, informational oder debug, aber Letzteres ist, abhängig von den Optionen zur Kompilierzeit, möglicherweise nicht verfügbar. Diese Kategorien sind hier in ihrer Reihenfolge angegeben; jede Nachricht, die ausgegeben wird, während fatal in Kraft ist, wird in der Fehlerstufe important ausgegeben und so weiter. Vorgabe ist important.

-V, --version
    gibt Versionsinformationen aus.

-C, --copying
    gibt die Copyright-Lizenz aus. Dies produziert eine große Ausgabe; stellen Sie sicher, dass Sie sie irgendwohin um- oder weiterleiten (wie etwa Ihren bevorzugten Dateibetrachter).

-h, --help
    gibt eine Zusammenfassung von Hilfetexten aus.

BEISPIELE
Hier folgen einige Beispielaufrufe des Programms:

sort-dctrl /var/lib/dpkg/available
    gibt die dpkg-Datei available nach Paketnamen sortiert aus.

sort-dctrl -k Version:v /var/lib/dpkg/available
    gibt die dpkg-Datei available in aufsteigender Reihenfolge der Versionsnummern aus.

sort-dctrl -k Version:vr /var/lib/dpkg/available
    gibt die dpkg-Datei available in absteigender Reihenfolge der Versionsnummern aus.

sort-dctrl -k Package,Version:v /var/lib/dpkg/available
    gibt die dpkg-Datei available zuerst nach aufsteigender Reihenfolge der Paketnamen und dann nach absteigender Reihenfolge der Versionsnummern sortiert aus.

sort-dctrl -k Installed-Size:n,Size:nr /var/lib/dpkg/available
    gibt die dpkg-Datei available zuerst nach aufsteigender Reihenfolge der Installationsgrößen und dann nach absteigender Reihenfolge der Paketgrößen sortiert aus.

AUTOR
Das Programm und diese Handbuchseite wurden von Antti-Juhani Kaijanaho <gaia@iki.fi> geschrieben.

SIEHE AUCH
Debian-Richtlinien-Handbuch (Debian Policy Manual) – herausgegeben als Debian-Paket debian-policy – außerdem auf der Debian-Website verfügbar

grep-dctrl(1)

TRADUCTION
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket dctrl-tools.

Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.